package com.qmth.jkserver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.jkserver.model.SyncData;
import com.qmth.jkserver.model.User;

import java.util.Map;

import com.qmth.jkserver.model.UserLog;
import org.springframework.data.domain.Page;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by gx on 2017/11/3.
 */
public interface UserService extends IService<User> {

    public User findByUserName(String userName);

    public User saveService(User user) throws Exception;

    public void deleteById(Long id);

    public User findById(Long id);

    public Page<User> findAll(User searchCondition, int curPage, int pageSize);

    public Map<String, Object> login(String userName, String password) throws Exception;

    public void logout(HttpServletRequest request);

    public User resetPwd(HttpServletRequest request, String oldPwd, String newPwd) throws Exception;

    public UserLog queryLastTimeLoginUser(HttpServletRequest request);

    void superResetPwd(HttpServletRequest request, String userName, String password, Long schoolId);
}